datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingmousepromoter10rmmentrezg <- function() showQCData("tilingmousepromoter10rmmentrezg", datacache)
tilingmousepromoter10rmmentrezg_dbconn <- function() dbconn(datacache)
tilingmousepromoter10rmmentrezg_dbfile <- function() dbfile(datacache)
tilingmousepromoter10rmmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingmousepromoter10rmmentrezg_dbInfo <- function() dbInfo(datacache)

tilingmousepromoter10rmmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingmousepromoter10rmmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "tilingmousepromoter10rmmentrezg", "chip tilingmousepromoter10rmmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingmousepromoter10rmmentrezg_dbconn())
}

